> For the complete documentation index, see [llms.txt](https://paas.docs.machnetinc.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://paas.docs.machnetinc.com/api-references/payout/get-banks.md).

# Get Banks

The bank and branch APIs provide the list of banks and their respective branches that are available in the destination country.

### Get bank list <a href="#get-payer-list" id="get-payer-list"></a>

#### `GET /banks?country={{country}}` <a href="#get-payers-country-country" id="get-payers-country-country"></a>

{% tabs %}
{% tab title="Query Parameter" %}

| **Name**     | **Type** | **Required** | **Description**                                                                                           |
| ------------ | -------- | ------------ | --------------------------------------------------------------------------------------------------------- |
| country      | String   | No           | [2-letter ISO code of the user’s country. ](https://www.nationsonline.org/oneworld/country_code_list.htm) |
| {% endtab %} |          |              |                                                                                                           |

{% tab title="Request Sample" %}

```
curl --location --request GET '{{url}}/banks' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
        "branches": [
            {
                "id": 169,
                "name": "Default Branch"
            }
        ],
        "country": "CO",
        "id": 126,
        "name": "Banco Santander De Negocios",
        "txn_supported_types": [
            "C2C",
            "B2B",
            "B2C"
        ]
    },
    {
        "branches": [
            {
                "id": 101,
                "name": "Default Branch"
            }
        ],
        "country": "MX",
        "id": 58,
        "name": "All Banks / Payment Type: Clabe",
        "txn_supported_types": [
            "C2C"
        ]
    }

```

{% endtab %}
{% endtabs %}

### Get bank by ID <a href="#get-payer-list" id="get-payer-list"></a>

#### `GET /banks/{{bankId}}` <a href="#get-payers-country-country" id="get-payers-country-country"></a>

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location --request GET '{{url}}/banks/{bank_id}' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "branches": [
        {
            "id": 169,
            "name": "Default Branch"
        }
    ],
    "country": "CO",
    "id": 126,
    "name": "Banco Santander De Negocios",
    "receiving_currency": [
        "COP"
    ],
    "txn_supported_types": [
        "C2C",
        "B2B",
        "B2C"
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/payout/get-banks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
